Name:          mdadm
Version:       3.4
Release:       %mkrel 1
Summary:       A tool to manage MD devices aka Linux Software RAID
Group:         System/Kernel and Hardware
URL:           http://neil.brown.name/blog/mdadm
Source:        http://www.kernel.org/pub/linux/utils/raid/mdadm/mdadm-%{version}.tar.xz
Source2:        mdadm.init
Source3:        mdadm-raid-check
Source4:        mdadm-raid-check-sysconfig
Patch0:        mdadm-3.3.1-gcc-4.9.patch
Patch1:        mdadm-3.4-i586-gcc-5.3.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

Provides:      mdadm-static
Obsoletes:     mdadm-static

%description
mdadm is a program that can be used to create, manage, and monitor Linux MD (Software RAID) devices.
As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single program, and it can perform (almost) all functions without a configuration file (that a config file can be used to help with some common tasks).

#%package static
#Group:         System/Kernel and Hardware
#Summary:       A tool to manage MD devices aka Linux Software RAID (static binary)
#
#%description static
#A tool to manage MD devices aka Linux Software RAID (static binary).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%make

#%make mdadm.static

%install
rm -rf %{buildroot}
%{makeinstall_std} MANDIR=%{_mandir} BINDIR=%{_sbindir}
install -D -m 644 mdadm.conf-example %{buildroot}%{_sysconfdir}/mdadm.conf
install -D %{SOURCE2} %{buildroot}%{_initrddir}/mdadm
install -D %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.weekly/99-raid-check
install -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/raid-check
mkdir -p %{buildroot}/var/run/mdadm

#install -D -m 644 %{name}.static \
#   %{buildroot}%{_sbindir}/%{name}.static

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(644,root,root,755)
%doc TODO ChangeLog mdadm.conf-example README.initramfs ANNOUNCE* misc/*
%attr(755,root,root) %{_sbindir}/mdadm
%attr(755,root,root) %{_sbindir}/mdmon
%attr(755,root,root) %{_sysconfdir}/cron.weekly/99-raid-check
%config(noreplace,missingok) %{_sysconfdir}/mdadm.conf
%config(noreplace) %{_sysconfdir}/sysconfig/raid-check
%attr(755,root,root) %{_initrddir}/mdadm
%{_mandir}/man*/md*
%attr(700,root,root) %dir /var/run/mdadm
/lib/udev/rules.d/63-md-raid-arrays.rules
/lib/udev/rules.d/64-md-raid-assembly.rules

%changelog
* Thu Apr 06 2017 adrianomorselli <adrianomorselli> 3.4-1uplos2017
- update
